#version 330

in vec3 fDiffuseColor;

out vec4 fragColor; // first out variable is automatically written to the screen

void main()
{
	float r = fDiffuseColor.x >=0 ? 1.0f : 0.3f;
	float g = fDiffuseColor.z >=0 ? 1.0f : 0.3f;
	float b = (fDiffuseColor.x > 0 && fDiffuseColor.z > 0) ? 0.3f : 1.0f;
		
	fragColor = vec4(r, g, b, 1.0f);
}
